﻿/// <summary>
/// This class holds all of the classes needed for serialization of the REST XMLs
/// These are utility classes created by "Paste XML as Types" based on the XML
/// in the file "FullSchemaForLiveContacts.xml" which is part of the package and not
/// needed in the project what so ever
/// Author: Shahal Hazan
/// </summary>

namespace LiveConnector
{
    /// <summary>
    /// This is a marker interface used by the generic requests to specify the supported T type
    /// </summary>
    public interface LiveContactElement
    {
    }

    /// <summary>
    /// This is a marker interface used by the generic requests to specify the supported T collection types
    /// </summary>
    public interface LiveCollection
    {
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
    public partial class Phones : LiveCollection
    {

        private Phone[] _field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Phone")]
        public Phone[] Collection
        {
            get
            {
                return this._field;
            }
            set
            {
                this._field = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class Phone
    {

        private string idField;

        private string phoneTypeField;

        private string numberField;

        private bool isIMEnabledField;

        private bool isDefaultField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string PhoneType
        {
            get
            {
                return this.phoneTypeField;
            }
            set
            {
                this.phoneTypeField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        public bool IsIMEnabled
        {
            get
            {
                return this.isIMEnabledField;
            }
            set
            {
                this.isIMEnabledField = value;
            }
        }

        /// <remarks/>
        public bool IsDefault
        {
            get
            {
                return this.isDefaultField;
            }
            set
            {
                this.isDefaultField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
    public partial class Tags : LiveCollection
    {

        private Tag[] _field;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Tag")]
        public Tag[] Collection
        {
            get
            {
                return this._field;
            }
            set
            {
                this._field = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class Tag
    {

        private string idField;

        private string nameField;

        private TagContactID[] contactIDsField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ContactID", IsNullable = false)]
        public TagContactID[] ContactIDs
        {
            get
            {
                return this.contactIDsField;
            }
            set
            {
                this.contactIDsField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class TagContactID
    {

        private string idField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }
    }


    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
    public partial class LiveContacts : LiveCollection
    {

        private Owner ownerField;

        private Contact[] contactsField;

        private LiveTag[] tagsField;

        /// <remarks/>
        public Owner Owner
        {
            get
            {
                return this.ownerField;
            }
            set
            {
                this.ownerField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Contact", IsNullable = false)]
        public Contact[] Contacts
        {
            get
            {
                return this.contactsField;
            }
            set
            {
                this.contactsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Tag", IsNullable = false)]
        public LiveTag[] Tags
        {
            get
            {
                return this.tagsField;
            }
            set
            {
                this.tagsField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class Owner
    {

        private string cIDField;

        private string windowsLiveIDField;

        private OwnerProfiles profilesField;

        private OwnerEmail[] emailsField;

        private OwnerPhone[] phonesField;

        private OwnerLocation[] locationsField;

        private OwnerURI[] uRIsField;

        /// <remarks/>
        public string CID
        {
            get
            {
                return this.cIDField;
            }
            set
            {
                this.cIDField = value;
            }
        }

        /// <remarks/>
        public string WindowsLiveID
        {
            get
            {
                return this.windowsLiveIDField;
            }
            set
            {
                this.windowsLiveIDField = value;
            }
        }

        /// <remarks/>
        public OwnerProfiles Profiles
        {
            get
            {
                return this.profilesField;
            }
            set
            {
                this.profilesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Email", IsNullable = false)]
        public OwnerEmail[] Emails
        {
            get
            {
                return this.emailsField;
            }
            set
            {
                this.emailsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Phone", IsNullable = false)]
        public OwnerPhone[] Phones
        {
            get
            {
                return this.phonesField;
            }
            set
            {
                this.phonesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Location", IsNullable = false)]
        public OwnerLocation[] Locations
        {
            get
            {
                return this.locationsField;
            }
            set
            {
                this.locationsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("URI", IsNullable = false)]
        public OwnerURI[] URIs
        {
            get
            {
                return this.uRIsField;
            }
            set
            {
                this.uRIsField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class OwnerProfiles
    {

        private OwnerProfilesPersonal personalField;

        private OwnerProfilesProfessional professionalField;

        /// <remarks/>
        public OwnerProfilesPersonal Personal
        {
            get
            {
                return this.personalField;
            }
            set
            {
                this.personalField = value;
            }
        }

        /// <remarks/>
        public OwnerProfilesProfessional Professional
        {
            get
            {
                return this.professionalField;
            }
            set
            {
                this.professionalField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class OwnerProfilesPersonal
    {

        private string nameTitleField;

        private string firstNameField;

        private string middleNameField;

        private string lastNameField;

        private string suffixField;

        private string yomiFirstNameField;

        private string yomiLastNameField;

        private string birthdateField;

        private string anniversaryField;

        private string genderField;

        private string timeZoneField;

        private string spouseNameField;

        /// <remarks/>
        public string NameTitle
        {
            get
            {
                return this.nameTitleField;
            }
            set
            {
                this.nameTitleField = value;
            }
        }

        /// <remarks/>
        public string FirstName
        {
            get
            {
                return this.firstNameField;
            }
            set
            {
                this.firstNameField = value;
            }
        }

        /// <remarks/>
        public string MiddleName
        {
            get
            {
                return this.middleNameField;
            }
            set
            {
                this.middleNameField = value;
            }
        }

        /// <remarks/>
        public string LastName
        {
            get
            {
                return this.lastNameField;
            }
            set
            {
                this.lastNameField = value;
            }
        }

        /// <remarks/>
        public string Suffix
        {
            get
            {
                return this.suffixField;
            }
            set
            {
                this.suffixField = value;
            }
        }

        /// <remarks/>
        public string YomiFirstName
        {
            get
            {
                return this.yomiFirstNameField;
            }
            set
            {
                this.yomiFirstNameField = value;
            }
        }

        /// <remarks/>
        public string YomiLastName
        {
            get
            {
                return this.yomiLastNameField;
            }
            set
            {
                this.yomiLastNameField = value;
            }
        }

        /// <remarks/>
        public string Birthdate
        {
            get
            {
                return this.birthdateField;
            }
            set
            {
                this.birthdateField = value;
            }
        }

        /// <remarks/>
        public string Anniversary
        {
            get
            {
                return this.anniversaryField;
            }
            set
            {
                this.anniversaryField = value;
            }
        }

        /// <remarks/>
        public string Gender
        {
            get
            {
                return this.genderField;
            }
            set
            {
                this.genderField = value;
            }
        }

        /// <remarks/>
        public string TimeZone
        {
            get
            {
                return this.timeZoneField;
            }
            set
            {
                this.timeZoneField = value;
            }
        }

        /// <remarks/>
        public string SpouseName
        {
            get
            {
                return this.spouseNameField;
            }
            set
            {
                this.spouseNameField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class OwnerProfilesProfessional
    {

        private string jobTitleField;

        private string professionField;

        private string managerField;

        private string assistantField;

        /// <remarks/>
        public string JobTitle
        {
            get
            {
                return this.jobTitleField;
            }
            set
            {
                this.jobTitleField = value;
            }
        }

        /// <remarks/>
        public string Profession
        {
            get
            {
                return this.professionField;
            }
            set
            {
                this.professionField = value;
            }
        }

        /// <remarks/>
        public string Manager
        {
            get
            {
                return this.managerField;
            }
            set
            {
                this.managerField = value;
            }
        }

        /// <remarks/>
        public string Assistant
        {
            get
            {
                return this.assistantField;
            }
            set
            {
                this.assistantField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class OwnerEmail
    {

        private string idField;

        private string emailTypeField;

        private string addressField;

        private bool isIMEnabledField;

        private bool isDefaultField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string EmailType
        {
            get
            {
                return this.emailTypeField;
            }
            set
            {
                this.emailTypeField = value;
            }
        }

        /// <remarks/>
        public string Address
        {
            get
            {
                return this.addressField;
            }
            set
            {
                this.addressField = value;
            }
        }

        /// <remarks/>
        public bool IsIMEnabled
        {
            get
            {
                return this.isIMEnabledField;
            }
            set
            {
                this.isIMEnabledField = value;
            }
        }

        /// <remarks/>
        public bool IsDefault
        {
            get
            {
                return this.isDefaultField;
            }
            set
            {
                this.isDefaultField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class OwnerPhone
    {

        private string idField;

        private string phoneTypeField;

        private string numberField;

        private bool isIMEnabledField;

        private bool isDefaultField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string PhoneType
        {
            get
            {
                return this.phoneTypeField;
            }
            set
            {
                this.phoneTypeField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        public bool IsIMEnabled
        {
            get
            {
                return this.isIMEnabledField;
            }
            set
            {
                this.isIMEnabledField = value;
            }
        }

        /// <remarks/>
        public bool IsDefault
        {
            get
            {
                return this.isDefaultField;
            }
            set
            {
                this.isDefaultField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class OwnerLocation
    {

        private string idField;

        private string officeField;

        private string departmentField;

        private string companyNameField;

        private string yomiCompanyNameField;

        private string locationTypeField;

        private string streetLineField;

        private string streetLine2Field;

        private string primaryCityField;

        private string secondaryCityField;

        private string subDivisionField;

        private string postalCodeField;

        private string countryRegionField;

        private string latitudeField;

        private string longitudeField;

        private bool isDefaultField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Office
        {
            get
            {
                return this.officeField;
            }
            set
            {
                this.officeField = value;
            }
        }

        /// <remarks/>
        public string Department
        {
            get
            {
                return this.departmentField;
            }
            set
            {
                this.departmentField = value;
            }
        }

        /// <remarks/>
        public string CompanyName
        {
            get
            {
                return this.companyNameField;
            }
            set
            {
                this.companyNameField = value;
            }
        }

        /// <remarks/>
        public string YomiCompanyName
        {
            get
            {
                return this.yomiCompanyNameField;
            }
            set
            {
                this.yomiCompanyNameField = value;
            }
        }

        /// <remarks/>
        public string LocationType
        {
            get
            {
                return this.locationTypeField;
            }
            set
            {
                this.locationTypeField = value;
            }
        }

        /// <remarks/>
        public string StreetLine
        {
            get
            {
                return this.streetLineField;
            }
            set
            {
                this.streetLineField = value;
            }
        }

        /// <remarks/>
        public string StreetLine2
        {
            get
            {
                return this.streetLine2Field;
            }
            set
            {
                this.streetLine2Field = value;
            }
        }

        /// <remarks/>
        public string PrimaryCity
        {
            get
            {
                return this.primaryCityField;
            }
            set
            {
                this.primaryCityField = value;
            }
        }

        /// <remarks/>
        public string SecondaryCity
        {
            get
            {
                return this.secondaryCityField;
            }
            set
            {
                this.secondaryCityField = value;
            }
        }

        /// <remarks/>
        public string SubDivision
        {
            get
            {
                return this.subDivisionField;
            }
            set
            {
                this.subDivisionField = value;
            }
        }

        /// <remarks/>
        public string PostalCode
        {
            get
            {
                return this.postalCodeField;
            }
            set
            {
                this.postalCodeField = value;
            }
        }

        /// <remarks/>
        public string CountryRegion
        {
            get
            {
                return this.countryRegionField;
            }
            set
            {
                this.countryRegionField = value;
            }
        }

        /// <remarks/>
        public string Latitude
        {
            get
            {
                return this.latitudeField;
            }
            set
            {
                this.latitudeField = value;
            }
        }

        /// <remarks/>
        public string Longitude
        {
            get
            {
                return this.longitudeField;
            }
            set
            {
                this.longitudeField = value;
            }
        }

        /// <remarks/>
        public bool IsDefault
        {
            get
            {
                return this.isDefaultField;
            }
            set
            {
                this.isDefaultField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class OwnerURI
    {

        private string idField;

        private string uRITypeField;

        private string nameField;

        private string addressField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string URIType
        {
            get
            {
                return this.uRITypeField;
            }
            set
            {
                this.uRITypeField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Address
        {
            get
            {
                return this.addressField;
            }
            set
            {
                this.addressField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRoot("Contact")]
    public partial class Contact
    {

        private string idField;

        private string cIDField;

        private string windowsLiveIDField;

        private bool autoUpdateEnabledField;

        private string autoUpdateStatusField;

        private ContactProfiles profilesField;

        private ContactEmail[] emailsField;

        private ContactPhone[] phonesField;

        private ContactLocation[] locationsField;

        private ContactURI[] uRIsField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string CID
        {
            get
            {
                return this.cIDField;
            }
            set
            {
                this.cIDField = value;
            }
        }

        /// <remarks/>
        public string WindowsLiveID
        {
            get
            {
                return this.windowsLiveIDField;
            }
            set
            {
                this.windowsLiveIDField = value;
            }
        }

        /// <remarks/>
        public bool AutoUpdateEnabled
        {
            get
            {
                return this.autoUpdateEnabledField;
            }
            set
            {
                this.autoUpdateEnabledField = value;
            }
        }

        /// <remarks/>
        public string AutoUpdateStatus
        {
            get
            {
                return this.autoUpdateStatusField;
            }
            set
            {
                this.autoUpdateStatusField = value;
            }
        }

        /// <remarks/>
        public ContactProfiles Profiles
        {
            get
            {
                return this.profilesField;
            }
            set
            {
                this.profilesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Email", IsNullable = false)]
        public ContactEmail[] Emails
        {
            get
            {
                return this.emailsField;
            }
            set
            {
                this.emailsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Phone", IsNullable = false)]
        public ContactPhone[] Phones
        {
            get
            {
                return this.phonesField;
            }
            set
            {
                this.phonesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Location", IsNullable = false)]
        public ContactLocation[] Locations
        {
            get
            {
                return this.locationsField;
            }
            set
            {
                this.locationsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("URI", IsNullable = false)]
        public ContactURI[] URIs
        {
            get
            {
                return this.uRIsField;
            }
            set
            {
                this.uRIsField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class ContactProfiles
    {

        private ContactProfilesPersonal personalField;

        private ContactProfilesProfessional professionalField;

        /// <remarks/>
        public ContactProfilesPersonal Personal
        {
            get
            {
                return this.personalField;
            }
            set
            {
                this.personalField = value;
            }
        }

        /// <remarks/>
        public ContactProfilesProfessional Professional
        {
            get
            {
                return this.professionalField;
            }
            set
            {
                this.professionalField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class ContactProfilesPersonal
    {

        private string nameToFileAsField;

        private string nameTitleField;

        private string firstNameField;

        private string middleNameField;

        private string lastNameField;

        private string suffixField;

        private string yomiFirstNameField;

        private string yomiLastNameField;

        private string uniqueNameField;

        private string sortNameField;

        private string nickNameField;

        private string displayNameField;

        private string birthdateField;

        private string anniversaryField;

        private string genderField;

        private string timeZoneField;

        private string spouseNameField;

        /// <remarks/>
        public string NameToFileAs
        {
            get
            {
                return this.nameToFileAsField;
            }
            set
            {
                this.nameToFileAsField = value;
            }
        }

        /// <remarks/>
        public string NameTitle
        {
            get
            {
                return this.nameTitleField;
            }
            set
            {
                this.nameTitleField = value;
            }
        }

        /// <remarks/>
        public string FirstName
        {
            get
            {
                return this.firstNameField;
            }
            set
            {
                this.firstNameField = value;
            }
        }

        /// <remarks/>
        public string MiddleName
        {
            get
            {
                return this.middleNameField;
            }
            set
            {
                this.middleNameField = value;
            }
        }

        /// <remarks/>
        public string LastName
        {
            get
            {
                return this.lastNameField;
            }
            set
            {
                this.lastNameField = value;
            }
        }

        /// <remarks/>
        public string Suffix
        {
            get
            {
                return this.suffixField;
            }
            set
            {
                this.suffixField = value;
            }
        }

        /// <remarks/>
        public string YomiFirstName
        {
            get
            {
                return this.yomiFirstNameField;
            }
            set
            {
                this.yomiFirstNameField = value;
            }
        }

        /// <remarks/>
        public string YomiLastName
        {
            get
            {
                return this.yomiLastNameField;
            }
            set
            {
                this.yomiLastNameField = value;
            }
        }

        /// <remarks/>
        public string UniqueName
        {
            get
            {
                return this.uniqueNameField;
            }
            set
            {
                this.uniqueNameField = value;
            }
        }

        /// <remarks/>
        public string SortName
        {
            get
            {
                return this.sortNameField;
            }
            set
            {
                this.sortNameField = value;
            }
        }

        /// <remarks/>
        public string NickName
        {
            get
            {
                return this.nickNameField;
            }
            set
            {
                this.nickNameField = value;
            }
        }

        /// <remarks/>
        public string DisplayName
        {
            get
            {
                return this.displayNameField;
            }
            set
            {
                this.displayNameField = value;
            }
        }

        /// <remarks/>
        public string Birthdate
        {
            get
            {
                return this.birthdateField;
            }
            set
            {
                this.birthdateField = value;
            }
        }

        /// <remarks/>
        public string Anniversary
        {
            get
            {
                return this.anniversaryField;
            }
            set
            {
                this.anniversaryField = value;
            }
        }

        /// <remarks/>
        public string Gender
        {
            get
            {
                return this.genderField;
            }
            set
            {
                this.genderField = value;
            }
        }

        /// <remarks/>
        public string TimeZone
        {
            get
            {
                return this.timeZoneField;
            }
            set
            {
                this.timeZoneField = value;
            }
        }

        /// <remarks/>
        public string SpouseName
        {
            get
            {
                return this.spouseNameField;
            }
            set
            {
                this.spouseNameField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class ContactProfilesProfessional
    {

        private string jobTitleField;

        private string professionField;

        private string managerField;

        private string assistantField;

        /// <remarks/>
        public string JobTitle
        {
            get
            {
                return this.jobTitleField;
            }
            set
            {
                this.jobTitleField = value;
            }
        }

        /// <remarks/>
        public string Profession
        {
            get
            {
                return this.professionField;
            }
            set
            {
                this.professionField = value;
            }
        }

        /// <remarks/>
        public string Manager
        {
            get
            {
                return this.managerField;
            }
            set
            {
                this.managerField = value;
            }
        }

        /// <remarks/>
        public string Assistant
        {
            get
            {
                return this.assistantField;
            }
            set
            {
                this.assistantField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRoot("Email")]
    public partial class ContactEmail : LiveContactElement
    {

        private string idField;

        private string emailTypeField;

        private string addressField;

        private bool isIMEnabledField;

        private bool isDefaultField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string EmailType
        {
            get
            {
                return this.emailTypeField;
            }
            set
            {
                this.emailTypeField = value;
            }
        }

        /// <remarks/>
        public string Address
        {
            get
            {
                return this.addressField;
            }
            set
            {
                this.addressField = value;
            }
        }

        /// <remarks/>
        public bool IsIMEnabled
        {
            get
            {
                return this.isIMEnabledField;
            }
            set
            {
                this.isIMEnabledField = value;
            }
        }

        /// <remarks/>
        public bool IsDefault
        {
            get
            {
                return this.isDefaultField;
            }
            set
            {
                this.isDefaultField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRoot("Phone")]
    public partial class ContactPhone : LiveContactElement
    {

        private string idField;

        private string phoneTypeField;

        private string numberField;

        private bool isIMEnabledField;

        private bool isDefaultField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string PhoneType
        {
            get
            {
                return this.phoneTypeField;
            }
            set
            {
                this.phoneTypeField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        public bool IsIMEnabled
        {
            get
            {
                return this.isIMEnabledField;
            }
            set
            {
                this.isIMEnabledField = value;
            }
        }

        /// <remarks/>
        public bool IsDefault
        {
            get
            {
                return this.isDefaultField;
            }
            set
            {
                this.isDefaultField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class ContactLocation
    {

        private string idField;

        private string officeField;

        private string departmentField;

        private string companyNameField;

        private string yomiCompanyNameField;

        private string locationTypeField;

        private string streetLineField;

        private string streetLine2Field;

        private string primaryCityField;

        private string secondaryCityField;

        private string subDivisionField;

        private string postalCodeField;

        private string countryRegionField;

        private string latitudeField;

        private string longitudeField;

        private bool isDefaultField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Office
        {
            get
            {
                return this.officeField;
            }
            set
            {
                this.officeField = value;
            }
        }

        /// <remarks/>
        public string Department
        {
            get
            {
                return this.departmentField;
            }
            set
            {
                this.departmentField = value;
            }
        }

        /// <remarks/>
        public string CompanyName
        {
            get
            {
                return this.companyNameField;
            }
            set
            {
                this.companyNameField = value;
            }
        }

        /// <remarks/>
        public string YomiCompanyName
        {
            get
            {
                return this.yomiCompanyNameField;
            }
            set
            {
                this.yomiCompanyNameField = value;
            }
        }

        /// <remarks/>
        public string LocationType
        {
            get
            {
                return this.locationTypeField;
            }
            set
            {
                this.locationTypeField = value;
            }
        }

        /// <remarks/>
        public string StreetLine
        {
            get
            {
                return this.streetLineField;
            }
            set
            {
                this.streetLineField = value;
            }
        }

        /// <remarks/>
        public string StreetLine2
        {
            get
            {
                return this.streetLine2Field;
            }
            set
            {
                this.streetLine2Field = value;
            }
        }

        /// <remarks/>
        public string PrimaryCity
        {
            get
            {
                return this.primaryCityField;
            }
            set
            {
                this.primaryCityField = value;
            }
        }

        /// <remarks/>
        public string SecondaryCity
        {
            get
            {
                return this.secondaryCityField;
            }
            set
            {
                this.secondaryCityField = value;
            }
        }

        /// <remarks/>
        public string SubDivision
        {
            get
            {
                return this.subDivisionField;
            }
            set
            {
                this.subDivisionField = value;
            }
        }

        /// <remarks/>
        public string PostalCode
        {
            get
            {
                return this.postalCodeField;
            }
            set
            {
                this.postalCodeField = value;
            }
        }

        /// <remarks/>
        public string CountryRegion
        {
            get
            {
                return this.countryRegionField;
            }
            set
            {
                this.countryRegionField = value;
            }
        }

        /// <remarks/>
        public string Latitude
        {
            get
            {
                return this.latitudeField;
            }
            set
            {
                this.latitudeField = value;
            }
        }

        /// <remarks/>
        public string Longitude
        {
            get
            {
                return this.longitudeField;
            }
            set
            {
                this.longitudeField = value;
            }
        }

        /// <remarks/>
        public bool IsDefault
        {
            get
            {
                return this.isDefaultField;
            }
            set
            {
                this.isDefaultField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class ContactURI
    {

        private string idField;

        private string uRITypeField;

        private string nameField;

        private string addressField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string URIType
        {
            get
            {
                return this.uRITypeField;
            }
            set
            {
                this.uRITypeField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Address
        {
            get
            {
                return this.addressField;
            }
            set
            {
                this.addressField = value;
            }
        }
    }
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.3053")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRoot("Tag")]
    public partial class LiveTag : LiveContactElement
    {

        private string idField;

        private string nameField;

        private string[] contactIDsField;

        /// <remarks/>
        public string ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ContactID", IsNullable = false)]
        public string[] ContactIDs
        {
            get
            {
                return this.contactIDsField;
            }
            set
            {
                this.contactIDsField = value;
            }
        }
    }
}
